
if (CMAKE_VERSION VERSION_LESS 2.8.3)
    message(FATAL_ERROR "Qt 5 requires at least CMake version 2.8.3")
endif()

get_filename_component(_qt5PublishSubscribe_install_prefix "${CMAKE_CURRENT_LIST_DIR}/../../../" ABSOLUTE)

set(Qt5PublishSubscribe_VERSION_MAJOR 0)
set(Qt5PublishSubscribe_VERSION_MINOR 0)
set(Qt5PublishSubscribe_VERSION_PATCH 0)
set(Qt5PublishSubscribe_VERSION_STRING 0.0.0)

set(Qt5PublishSubscribe_LIBRARIES Qt5::PublishSubscribe)

macro(_populate_PublishSubscribe_target_properties Configuration LIB_LOCATION IMPLIB_LOCATION)
    set_property(TARGET Qt5::PublishSubscribe APPEND PROPERTY IMPORTED_CONFIGURATIONS ${Configuration})

    set_target_properties(Qt5::PublishSubscribe PROPERTIES
        "IMPORTED_LINK_INTERFACE_LIBRARIES_${Configuration}" "${_Qt5PublishSubscribe_LIB_DEPENDENCIES}"
        "IMPORTED_LOCATION_${Configuration}" "${_qt5PublishSubscribe_install_prefix}/lib/${LIB_LOCATION}"
    )
    if(NOT "${IMPLIB_LOCATION}" STREQUAL "")
        set_target_properties(Qt5::PublishSubscribe PROPERTIES
            "IMPORTED_IMPLIB_${Configuration}" "${_qt5PublishSubscribe_install_prefix}/lib/${IMPLIB_LOCATION}"
        )
    endif()
endmacro()

if (NOT TARGET Qt5::PublishSubscribe)

    set(Qt5PublishSubscribe_INCLUDE_DIRS "${_qt5PublishSubscribe_install_prefix}/include/qt5/QtPublishSubscribe")
    set(Qt5PublishSubscribe_PRIVATE_INCLUDE_DIRS
        "${_qt5PublishSubscribe_install_prefix}/include/qt5/QtPublishSubscribe/${Qt5PublishSubscribe_VERSION_STRING}"
        "${_qt5PublishSubscribe_install_prefix}/include/qt5/QtPublishSubscribe/${Qt5PublishSubscribe_VERSION_STRING}/QtPublishSubscribe"
    )

    set(Qt5PublishSubscribe_DEFINITIONS -DQT_PUBLISHSUBSCRIBE_LIB)
    set(Qt5PublishSubscribe_COMPILE_DEFINITIONS QT_PUBLISHSUBSCRIBE_LIB)

    set(_Qt5PublishSubscribe_MODULE_DEPENDENCIES "Core")

    set(_Qt5PublishSubscribe_FIND_DEPENDENCIES_REQUIRED)
    if (Qt5PublishSubscribe_FIND_REQUIRED)
        set(_Qt5PublishSubscribe_FIND_DEPENDENCIES_REQUIRED REQUIRED)
    endif()
    set(_Qt5PublishSubscribe_FIND_DEPENDENCIES_QUIET)
    if (Qt5PublishSubscribe_FIND_QUIETLY)
        set(_Qt5PublishSubscribe_DEPENDENCIES_FIND_QUIET QUIET)
    endif()

    foreach(_module_dep ${_Qt5PublishSubscribe_MODULE_DEPENDENCIES})
        if (NOT Qt5${_module_dep}_FOUND)
            find_package(Qt5${_module_dep}
                ${_Qt5PublishSubscribe_DEPENDENCIES_FIND_QUIET}
                ${_Qt5PublishSubscribe_FIND_DEPENDENCIES_REQUIRED}
                PATHS "${_qt5PublishSubscribe_install_prefix}" NO_DEFAULT_PATH
            )
        endif()

        if (NOT Qt5${_module_dep}_FOUND)
            set(Qt5PublishSubscribe_FOUND False)
            return()
        endif()

        list(APPEND Qt5PublishSubscribe_INCLUDE_DIRS "${Qt5${_module_dep}_INCLUDE_DIRS}")
        list(APPEND Qt5PublishSubscribe_PRIVATE_INCLUDE_DIRS "${Qt5${_module_dep}_PRIVATE_INCLUDE_DIRS}")
        list(APPEND Qt5PublishSubscribe_DEFINITIONS ${Qt5${_module_dep}_DEFINITIONS})
        list(APPEND Qt5PublishSubscribe_COMPILE_DEFINITIONS ${Qt5${_module_dep}_COMPILE_DEFINITIONS})
        list(APPEND Qt5PublishSubscribe_EXECUTABLE_COMPILE_FLAGS ${Qt5${_module_dep}_EXECUTABLE_COMPILE_FLAGS})
    endforeach()
    list(REMOVE_DUPLICATES Qt5PublishSubscribe_INCLUDE_DIRS)
    list(REMOVE_DUPLICATES Qt5PublishSubscribe_PRIVATE_INCLUDE_DIRS)
    list(REMOVE_DUPLICATES Qt5PublishSubscribe_DEFINITIONS)
    list(REMOVE_DUPLICATES Qt5PublishSubscribe_COMPILE_DEFINITIONS)
    if (Qt5PublishSubscribe_EXECUTABLE_COMPILE_FLAGS)
      list(REMOVE_DUPLICATES Qt5PublishSubscribe_EXECUTABLE_COMPILE_FLAGS)
    endif()

    set(_Qt5PublishSubscribe_LIB_DEPENDENCIES "Qt5::Core")

    add_library(Qt5::PublishSubscribe SHARED IMPORTED)

    _populate_PublishSubscribe_target_properties(RELEASE "Qt0PublishSubscribe.dll" "Qt0PublishSubscribe.lib" )

    if (EXISTS "${_qt5PublishSubscribe_install_prefix}/lib/Qt0PublishSubscribed.dll" AND EXISTS "${_qt5PublishSubscribe_install_prefix}/lib/Qt0PublishSubscribed.lib" )
        _populate_PublishSubscribe_target_properties(DEBUG "Qt0PublishSubscribed.dll" "Qt0PublishSubscribed.lib" )
    endif()





endif()
